@ECHO OFF

@REM WARNING: This file is created by the Configuration Wizard.
@REM Any changes to this script may be lost when adding extensions to this configuration.

SETLOCAL

@REM *************************************************************************
@REM This script is used to start WebLogic Server for the domain in the
@REM current working directory.  This script simply sets the SERVER_NAME
@REM variable and starts server.
@REM 
@REM To create your own start script for your domain, all you need to set is
@REM SERVER_NAME, then starts the server.
@REM 
@REM Other variables that startWLS takes are:
@REM 
@REM WLS_USER     - cleartext user for server startup
@REM WLS_PW       - cleartext password for server startup
@REM PRODUCTION_MODE    - true for production mode servers, false for
@REM                development mode
@REM JAVA_OPTIONS - Java command-line options for running the server. (These
@REM                will be tagged on to the end of the JAVA_VM and MEM_ARGS)
@REM JAVA_VM      - The java arg specifying the VM to run.  (i.e. -server,
@REM                -hotspot, etc.)
@REM MEM_ARGS     - The variable to override the standard memory arguments
@REM                passed to java
@REM 
@REM For additional information, refer to the WebLogic Server Administration
@REM Console Online Help(http:\\e-docs.bea.com\wls\docs81\ConsoleHelp\startstop.html)
@REM *************************************************************************

@REM ************ CARGA DE CONFIGURACION GEREMUA***********************
set UNIDAD_USR=C:
set USRB=%UNIDAD_USR%/usr/j2se/
set PROYE=%UNIDAD_USR%/Proyectos/lib
set CONFIG=C:/config;C:/config/t59a;C:/config/t59b;C:/config/t99b;C:/config/n38c
set CONFIG_GEREMUA=%UNIDAD_USR%/usr/j2se/geremua/config

@REM ############### PARA LA APLICACION N38 ###########
set N38=%USRB%/xlnets/aplic/n38/lib/weblogic81/n38.jar;%USRB%/xlnets/aplic/n38/lib/weblogic81/N38A.jar;%USRB%/xlnets/aplic/n38/lib/weblogic81/N38C.jar;%USRB%/xlnets/aplic/n38/lib/weblogic81/N38I.jar;%USRB%/xlnets/aplic/n38/lib/weblogic81/N38N.jar

set STRUTS=%USRB%/jakarta-struts-1.1/lib/commons-beanutils.jar;%USRB%/jakarta-struts-1.1/lib/commons-collections.jar;%USRB%/jakarta-struts-1.1/lib/commons-digester.jar;%USRB%/jakarta-struts-1.1/lib/commons-fileupload.jar;%USRB%/jakarta-struts-1.1/lib/commons-lang-2.0.jar;%USRB%/jakarta-struts-1.1/lib/commons-logging.jar;%USRB%/jakarta-struts-1.1/lib/commons-validator.jar;%USRB%/jakarta-struts-1.1/lib/jakarta-oro.jar;%USRB%/jakarta-struts-1.1/lib/struts-legacy.jar

set LOG4J=%UNIDAD_USR%/usr/j2se/jakarta-log4j-1.2.8/dist/lib/log4j-1.2.8.jar

set Q99=%PROY%/q99/Q99vDigitalSignatureFacadePProxy-0.1.jar;%PROY%/q99/Q99mPPSFacadeProxy.jar;%PROY%/q99/Q99mServiceIfzFacadeProxy-1.1.jar;%PROY%/q99/q99qWLIClient-1.0.jar;%USRB%/jpdproxy/jpdproxy_client.jar;%PROY%/q99/q99qFileTransfer-1.0.jar;%USRB%/commons-httpclient-2.0.2/commons-httpclient-2.0.2.jar

set JFREECHART=%USRB%/jfreechart-0.9.21/jfreechart-0.9.21.jar;%USRB%/jfreechart-0.9.21/lib/jcommon-0.9.6.jar


@REM #################Linea de q99:%UNIDAD_USR%/Proyectos/lib/q99/q99eIntException-3.0.jar;
@REM ################# GEREMUA ###################
set GEREMUA_HOME=%USRB%/geremua/aplic/q70

set GEREMUA=%GEREMUA_HOME%/java/javs/Q70.jar;%GEREMUA_HOME%/lib/aspectjrt-1.1.1.jar;%GEREMUA_HOME%/lib/cactus-1.5.jar;%GEREMUA_HOME%/lib/commons-modeler.jar;%GEREMUA_HOME%/lib/displaytag-1.0-b2.jar;%GEREMUA_HOME%/lib/hsql.jar;%GEREMUA_HOME%/lib/junit-3.8.1.jar;%GEREMUA_HOME%/lib/jstl.jar;%GEREMUA_HOME%/lib/standard-1.0.4.jar

set GEREMUA_CLASSPATH=%CONFIG%;%CONFIG_GEREMUA%;%GEREMUA%;%LOG4J%;%STRUTS%;%JFREECHART%

@REM Initialize the common environment.

set WL_HOME=C:\beasp6\weblogic81
for %%i in ("%WL_HOME%") do set WL_HOME=%%~fsi

set PRODUCTION_MODE=false

set JAVA_VENDOR=Sun

set JAVA_HOME=C:\beasp6\jrockit81sp6_142_10
for %%i in ("%JAVA_HOME%") do set JAVA_HOME=%%~fsi

@REM Call commEnv here AFTER setting the java_vendor to get common environmental settings.

call "%WL_HOME%\common\bin\commEnv.cmd"

@REM Set SERVER_NAME to the name of the server you wish to start up.

set SERVER_NAME=adminServer

set PDF=%USRB%\fop-0.20.5\lib\avalon-framework-cvs-20020806.jar;%USRB%\fop-0.20.5\lib\fop-0.20.5.jar;%USRB%\fop-0.20.5\lib\batik.jar

set GALDERCLASSPATH=C:\usr\j2se\jakarta-ant-1.5.3-1\lib\xercesImpl.jar

set EXCEL=%USRB%\jakarta-poi-2.5.1\poi-2.5.1.jar

set CLASSPATH=%N38%;%EXCEL%;%GALDERCLASSPATH%;%PDF%;%GEREMUA_CLASSPATH%;%WEBLOGIC_CLASSPATH%;%POINTBASE_CLASSPATH%;%JAVA_HOME%\jre\lib\rt.jar;%WL_HOME%\server\lib\webservices.jar;%CLASSPATH%

@REM Call WebLogic Server

echo .
echo CLASSPATH=%CLASSPATH%
echo .
echo PATH=%PATH%
echo .
echo ***************************************************
echo *  To start WebLogic Server, use a username and   *
echo *  password assigned to an admin-level user.  For *
echo *  server administration, use the WebLogic Server *
echo *  console at http:\\[hostname]:[port]\console    *
echo ***************************************************

set MEM_ARGS=-Xms512m -Xmx512m -XX:PermSize=256M -XX:MaxPermSize=512M

REM %JAVA_HOME%\bin\java %JAVA_VM% %MEM_ARGS% %JAVA_OPTIONS% -Dweblogic.Name=%SERVER_NAME% -Dweblogic.ProductionModeEnabled=%PRODUCTION_MODE% -Djava.security.policy="%WL_HOME%\server\lib\weblogic.policy" weblogic.Server
%JAVA_HOME%\bin\java %JAVA_VM% %MEM_ARGS% %JAVA_OPTIONS% -DQ70ENTORNO=q70/frmkcore -DN38ENTORNO=C:/usr/j2se/xlnets/config/n38c/wl810_8100 -Dweblogic.Name=%SERVER_NAME% -Dweblogic.ProductionModeEnabled=%PRODUCTION_MODE% -Djava.security.policy="%WL_HOME%\server\lib\weblogic.policy" weblogic.Server



ENDLOCAL